CCfits 2.7

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CCfits::HDU::InvalidImageDataType Class Reference
FITS Exceptions

exception to be thrown if user requests creation of an image of type not supported by cfitsio. More...

`#include <HDU.h>`

Inheritance diagram for CCfits::HDU::InvalidImageDataType:

List of all members.

## Public Member Functions

| InvalidImageDataType (const string &diag, bool silent=true)
| Exception ctor, prefixes the string "Fits Error: Invalid Data Type for Image " before the specific message.

## Detailed Description

exception to be thrown if user requests creation of an image of type not supported by cfitsio.

## Constructor & Destructor Documentation

CCfits::HDU::InvalidImageDataType::InvalidImageDataType | ( | const string & | diag,
|  | bool | silent = `true`
| ) |  |

Exception ctor, prefixes the string "Fits Error: Invalid Data Type for Image " before the specific message.

Parameters:

  diag | A specific diagnostic message
  silent | if true, print message whether FITS::verboseMode is set or not.

The documentation for this class was generated from the following files:

- HDU.h
- HDU.cxx